<?php
require('conexion.php');
session_start();
$id_nota = $_POST["id_nota"];
$tipo_pago = $_POST["tipo_pago"];
$_SESSION['cveNota'] = $id_nota;

if (isset($_POST['pago_total_efectivo']) && isset($_POST['pago_total_tarjeta'])) {
    $pago_total_tarjeta = $_POST['pago_total_tarjeta'];
    $pago_total_efectivo = $_POST['pago_total_efectivo'];
}
$query = query("SELECT * FROM productos_nota WHERE id_nota_venta='$id_nota'");
$query2= query("SELECT * FROM notas_venta WHERE ntv_no_personas > 0 AND id='$id_nota'");

if($query->num_rows > 0 && $query2->num_rows >0){
    if ($tipo_pago==1) {
        $total_qry = query("SELECT A.ntv_total_nota FROM notas_venta A WHERE A.id='$id_nota'");
        $total=mysqli_fetch_assoc($total_qry);
        $pago_total_tarjeta = $total['ntv_total_nota'];
        $pago_total_efectivo = 0;
    }
    if ($tipo_pago==2) {
        $total_qry = query("SELECT A.ntv_total_nota FROM notas_venta A WHERE A.id='$id_nota'");
        $total=mysqli_fetch_assoc($total_qry);
        $pago_total_tarjeta = 0;
        $pago_total_efectivo = $total['ntv_total_nota'];
    }
    $nota_zona_venta_piso =query("SELECT * FROM notas_venta WHERE ntv_zona_ate = 'Venta en piso' AND id='$id_nota'");
    $no_mesa = query("SELECT * FROM notas_venta WHERE ntv_no_mesa > 0 and id='$id_nota'");
    if ($nota_zona_venta_piso->num_rows > 0 && $no_mesa->num_rows > 0) {
        $res = query("UPDATE notas_venta SET ntv_id_tipo_pago='$tipo_pago', ntv_tarjeta='$pago_total_tarjeta', ntv_efectivo='$pago_total_efectivo', ntv_estatus='finalizado' WHERE id='$id_nota'");
        ///$resultado=mysqli_fetch_assoc($res);
        $result=1;
    }else{
        $nota_zona_venta_para_llevar=query("SELECT * FROM notas_venta WHERE ntv_zona_ate = 'Para llevar' AND id='$id_nota'");
        if ($nota_zona_venta_para_llevar->num_rows > 0) {
            $res = query("UPDATE notas_venta SET ntv_id_tipo_pago='$tipo_pago', ntv_tarjeta='$pago_total_tarjeta', ntv_efectivo='$pago_total_efectivo', ntv_estatus='finalizado' WHERE id='$id_nota'");
            ///$resultado=mysqli_fetch_assoc($res);
            $result=1;
        }else{
            $result = 0;
        }
    }
    
}else{
    $result = 0;
}

echo $result;
?>